#include <bits/stdc++.h>
using namespace std;
int arr[160005], a[405][405];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

	int n, m;
	cin >> n >> m;
    cout << 0;
    return 0;
    for (int i = 0; i < n * m; i++) {
        cin >> arr[i];
        a[i / m][arr[i]]++;
    }
}
